#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-3wKybmrTUWF9Z2zd7oT7h1
key:                  hoogle-5.0.18.4-3wKybmrTUWF9Z2zd7oT7h1
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  3263927cbf9207d5c8ce67e793878c62
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-3wKybmrTUWF9Z2zd7oT7h1
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-DB9X9Jr9tgaB7YjSEeodGO
    aeson-2.1.2.1-8ueLuG1qYj9Fbt4mgkSEM3 base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-EE92uMfVTXXFb5zxrNGZSc
    blaze-markup-0.8.3.0-7hyXvt0UuSHDC5Npn86Hxn bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6-DKxmXDBSAtbFEdhj7gVmd7
    conduit-extra-1.3.6-1Or7Te9mTSo6tE5jYEaUcD containers-0.6.5.1
    crypton-connection-0.3.2-CV3YTSUxm21DOzxhrTjZb1 deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-2OWnlthH2TsF9fB7O5eM7s
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-JPPoH0HitSIaCdulNsJk5
    haskell-src-exts-1.23.1-7iZ0g0Gh40tL2cbOH5IG9w
    http-conduit-2.3.9-1pt2apFUu1MF5tAKSOxnHZ
    http-types-0.12.4-7cXCeYy1EdF4iPzsHuuw3e
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-1NzcuJXhW1rLE4gf3ch1XG
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-2yjK4Dd3URX55pQBc4WGkR
    resourcet-1.2.6-FuwUbRkPz8Z2g3NTjJ9eC3
    safe-0.3.21-ILSHOWqWmT03ArS86C0xcx
    storable-tuple-0.1-8ihWCVqlxvH6vAz4YYK5TA
    tar-0.5.1.1-17Ifzk9GZ0wKkKrxMjSPbK template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-1rKWNargOpLBQr5BDKh0A1
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-IsxGr1wjc8yHuZdiqe6rZF
    wai-3.2.4-E20NDKiavQZvucZdRVF5C
    wai-logger-2.5.0-25Ck9E21Lu08MtN8WXZC6g
    warp-3.3.30-1T5rXhWDQMddeXw6EDhuf
    warp-tls-3.4.7-5qcjRXpAZLMGi2lM3k157C
    zlib-0.6.3.0-KxPh3LWg9jfJaWMYSGm5Bu

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

